#### spawn (8 of 13 overloads)

(Deprecated: Use overloads with a completion token.) Start a new stackful coroutine, calling the specified handler when it completes.

    template<
        typename Handler,
        typename Function>
    void spawn(
        Handler && handler,
        Function && function,
        const boost::coroutines::attributes & attributes = boost::coroutines::attributes(),
        constraint_t< !is_executor< decay_t< Handler > >::value &&!execution::is_executor< decay_t< Handler > >::value &&!is_convertible< Handler &, execution_context & >::value >  = 0);

This function is used to launch a new coroutine.

###### Parameters

handler

  A handler to be called when the coroutine exits. More importantly, the handler provides an execution context (via the the handler invocation hook) for the coroutine. The handler must have the signature:

      void handler();

function

  The coroutine function. The function must have the signature:

      void function(basic_yield_context<Executor> yield);

  where Executor is the associated executor type of `Handler`.

attributes

  Boost.Coroutine attributes used to customise the coroutine.